# class KSplashScreen

###

Module | kdeui
Namespace |
Class | KSplashScreen
Inherits | QSplashScreen

%KDE splash screen

This class is based on QSplashScreen and exists solely to make splash screens obey KDE's Xinerama settings.

For documentation on how to use the class, see the documentation for QSplashScreen.

Author Chris Howells (howells@kde.org)

### methods

- KSplashScreen (pixmap, f)

  returns ctor
  KDE 4.1.0 and later only

  Argument | Type | Default
  --- | --- | ---
  pixmap | QPixmap |
  f | Qt.WFlags | 0

  Constructs a splash screen.

- KSplashScreen (a0)

  returns ctor
  Not implemented

  Argument | Type | Default
  --- | --- | ---
  a0 | KSplashScreen |

- KSplashScreen (a0, a1)

  returns ctor
  before KDE 4.1.0 only

  Argument | Type | Default
  --- | --- | ---
  a0 | QPixmap |
  a1 | Qt.WFlags | 0